Search Results for

Show / Hide Table of Contents

# Class ToplevelComparer

Implements the System.Collections.Generic.IComparer<T> to sort the Toplevel from the MdiChildes if needed.

##### Inheritance

System.Object
ToplevelComparer

##### Implements

System.Collections.Generic.IComparer<Toplevel>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class ToplevelComparer : IComparer<Toplevel>

### Methods

#### Compare(Toplevel, Toplevel)

Compares two objects and returns a value indicating whether one is less than, equal to, or greater than the other.

##### Declaration

    public int Compare(Toplevel x, Toplevel y)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | x | The first object to compare.
Toplevel | y | The second object to compare.

##### Returns

Type | Description
--- | ---
System.Int32 | A signed integer that indicates the relative values of `x` and `y`, as shown in the following table.Value Meaning Less than zero `x` is less than `y`.Zero `x` equals `y`.Greater than zero `x` is greater than `y`.

### Implements

System.Collections.Generic.IComparer<T>